//
//  SecondViewController.m
//  CustomFonts
//
//  Created by KH1386 on 3/24/14.
//  Copyright (c) 2014 KH1386. All rights reserved.
//

#import "SecondViewController.h"

@interface SecondViewController ()

@end

@implementation SecondViewController


-(void) setCustomFont:(UIView *) view withFont:(UIFont *)font
{
    //go through all subviews
    for(UIView * subView in view.subviews)
    {
        if([subView isKindOfClass:[UILabel class]])
        {
            UILabel * label =(UILabel*)subView;
            label.font =font;
        }
        else if([subView isKindOfClass:[UITextField class]])
        {
            UITextField * textField =(UITextField*)subView;
            textField.font =font;
        }
        else if([subView isKindOfClass:[UIButton class]])
        {
            UIButton * button =(UIButton*)subView;
            button.titleLabel.font = font;
        }
        else if([subView isKindOfClass:[UIView class]])
        {
            //recursively.
            [self setCustomFont:subView withFont:font];
        }
    }
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    [self setOpenSans:nil];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(IBAction) setOpenSans:(id)sender
{
    UIFont * font =[UIFont fontWithName:@"Open Sans" size:15.0f];
    [self setCustomFont:self.view withFont:font];

}
-(IBAction) setSofadi:(id)sender
{
    UIFont * font =[UIFont fontWithName:@"Sofadi One" size:15.0f];
    [self setCustomFont:self.view withFont:font];

}
@end
